<ion-header>
  <ion-toolbar>
    <ion-buttons>
      <ion-back-button defaultHref="/" color="primary" slot="start"></ion-back-button>
    </ion-buttons>
    <ion-title >{{lista.titulo}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item>
      <ion-label position="floating">Nuevo item</ion-label>
      <ion-input [(ngModel)]="nombreItem" (keyup.enter)="agregarItem()" type="text"></ion-input>
    </ion-item>
  </ion-list>

  <ion-list>
    <ion-item-sliding class="animate__animated animate__fadeInDown" *ngFor="let item of lista.items; let i = index">
     
      <ion-item>
        <ion-checkbox [(ngModel)]="item.completado" (ionChange)="cambioCheck(item)" slot="start" color="primary" >

        </ion-checkbox>
        <ion-label>{{item.titulo}}</ion-label>
      </ion-item>
     
      <ion-item-options side="end">
        <ion-item-option color="black" (click)="borrarItem(i)"><ion-icon color="danger" name="trash-outline"></ion-icon></ion-item-option>
      </ion-item-options>
    </ion-item-sliding>
   
  </ion-list>
  

</ion-content>
